#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/UNIMOUNT_FTYPE.sh
#
# Copyright (c) 2011 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2011-06-10  jed
# Last Update:  $Id: UNIMOUNT_FTYPE.sh 28534 2011-06-11 10:44:58Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="ext,ext2,ext3,iso9660,msdos,nfs,nfs4,ntfs,smbfs,umsdos,vfat"
    ece_select_list_dlg "${win}" "File system types" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
