#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/UNIMOUNT_GROUP.sh
#
# Copyright (c) 2011 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2011-06-10  jed
# Last Update:  $Id: UNIMOUNT_GROUP.sh 28530 2011-06-10 15:38:42Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    tmpfile=/tmp/unimount_group.$$
    group=''
    sellist='root,nogroup,'

    # read list of groups
    cut -d: -f1 < /etc/group | grep -E -v "root|nogroup" | sort > ${tmpfile}

    separator=''
    while read group
    do
        sellist="${sellist}${separator}${group}"
        separator=','
    done < ${tmpfile}

    rm -f ${tmpfile}

    ece_select_list_dlg "${win}" "Group list" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
